package org.xtext.example.mydsl;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.xtext.serializer.sequencer.LegacyTransientValueService;

import myDsl.MyDslPackage;

public class MyDslTransientValueService extends LegacyTransientValueService {
	@Override
	public ValueTransient isValueTransient(EObject semanticObject, EStructuralFeature feature) {
		if (feature == MyDslPackage.Literals.CLASS_A__REFERINGBS) {
			return ValueTransient.YES;
		}
		return super.isValueTransient(semanticObject, feature);
	}

}
